Subject: bug#70449: 30.0.50; Can't save .zip archive in TRAMP

From: Eli Zaretskii <[email-masked]>
Date: Thu, 18 Apr 2024 21:22:50 +0300

> From: Michael Albinus <[email-masked]>
> Cc: [email-masked],  [email-masked]
> Date: Thu, 18 Apr 2024 20:17:11 +0200
> 
> Eli Zaretskii <[email-masked]> writes:
> 
> Hi Eli,
> 
> >> > 1.- Open zip archive in remote machine using TRAMP
> >> > 2.- Modify archive member
> >> > 3.- Try to save with Ctrl-x Ctrl-s
> >> >
> >> > Will work w/o problems on locally edited archive
> >>
> >> I can reproduce it. There seems to be an error in arc-mode.el. I'll
> >> debug it when time permits; however, this mode is terra incognita for
> >> me.
> >>
> >> Or somebody who knows arc-mode.el could debug.
> >
> > I only know how it works with local archives, not with remote ones.
> 
> Yes. But from my short debug cycle I've tried just now it looks, like
> arc-mode detects that the zip file couldn't be edited directly, and it
> works over a local temporary copy of that zip file.

Yes, I know.  But that doesn't end the "remote" specifics, definitely
not when the user edits a member and saves it.

> So it couldn't be too hard to fix this, once we (I?) understand the
> different steps.

If you can describe what you found, which led you to conclude that it
seems like an error in arc-mode, maybe I could have suggestions.